查询成员金币明细
该接口用于查询成员金币收支明细,支持按时间与类型追踪金币变动。
接口调用
说明
| 接口描述 | 查询团队下的员工/用户金币使用情况,需调用此接口 |
|---|---|
| 请求域名 | https://ai-user-api.jbangai.com |
| 接口地址 | /api/open/ai/v1/user/uo/points/record/page |
| 请求方式 | GET |
| 权限校验 | 是 |
提交参数
Header请求头
| 参数 | 类型 | 是否必传 | 参数说明 |
|---|---|---|---|
| Access-Token | string | 是 | 从 获取令牌 中获取到对应的参数值accessToken,详情请查看文档 |
Query参数
| 参数 | 类型 | 是否必传 | 参数说明 |
|---|---|---|---|
| sourceId | string | 是 | 该sourceId参数为接入方系统用户ID,接入方系统用户的ID需要在 获取令牌 中获取鉴权code API中注册过 |
| type | string | 是 | user 代表用户,sys_user代表员工 |
| endTime | string | 否 | 结束时间,参数为标准的ISO 8601时间格式,例如:2025-06-09T08:00:00.000Z(时间格式转换详情请查看文档: 其他说明 ) |
| page | integer | 否 | 页数 |
| pageSize | integer | 否 | 每页条数 |
| startTime | string | 否 | 开始时间,参数为标准的ISO 8601时间格式,例如:2025-06-09T08:00:00.000Z(时间格式转换详情请查看文档: 其他说明 ) |
请求示例
curl --location --request GET 'https://ai-user-api.jbangai.com/api/open/ai/v1/user/uo/points/record/page?sourceId=74&type=sys_user&endTime=&page=1&pageSize=15&startTime=' \
--header 'Access-Token: eyJhbGciOiJIUzUxMiJ9...' \
--header 'Accept: */*' \
--header 'Host: ai-user-api.jbangai.com' \
--header 'Connection: keep-alive'
返回参数
| 参数 | 子参数 | 类型 | 说明 |
|---|---|---|---|
| code | — | string | 响应编码 |
| data | id | string | 金币记录ID |
| createTime | string | 创建时间 | |
| amount | string | 增减数量,记正数 | |
| type | string | 类型: expenses=支出,income=收入,freeze=冻结 | |
| remark | string | 出入备注 | |
| message | — | string | 返回提示信息 |
| serverTime | — | string | 当前时间戳 |
响应示例
{
"code": 0,
"data": [
{
"id": 24745,
"createTime": "2025-04-28T06:43:23.000+00:00",
"amount": 20.0000,
"type": "income",
"remark": "团队分配金币给059a5a8f95"
},
{
"id": 24739,
"createTime": "2025-04-28T06:34:36.000+00:00",
"amount": 20.0000,
"type": "expenses",
"remark": "提问“自定义大单元设计”消耗金币"
}
],
"pagination": {
"page": 1,
"total": 2,
"pageSize": 15
},
"message": "",
"serverTime": 1745825568
}